[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomDrawGrid.HeaderSized

Performs actions needed when a column or a row has been resized.

## Declaration

Source position: grids.pas line 1433

`protected procedure TCustomDrawGrid.HeaderSized(`
`IsColumn: Boolean;`
`index: Integer`
`); override;`

## Arguments

`IsColumn` |  | True if a column was resized, False if a Row was resize.
`index` |  | Column or row number for the resize operation.

## Description

HeaderSized is used to perform actions needed when the header for a column or row has been resized in the grid control.

IsColumn indicates whether the sizing action applies to a column or a row. When set to True, the column header has been resized. When set to False, the row header was resized.

Index indicates the column or row number in the grid where the resizing action occurred.

Calls the inherited method on entry. Signals the OnHeaderSized event handler (when assigned).

HeaderSized is called from methods like MouseUp (when column or row sizing is completed) and DblClick (when column sizing is enabled in the grid Options).

## See also

TCustomDrawGrid.OnHeaderSized |  | Event handler signalled when a column or row header has been resized.
TCustomGrid.HeaderSized |  | Performs actions needed when a column or a row has been resized.